package di.xml.config;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import di.xml.ConsolePrinter;
import di.xml.Hello;
import di.xml.Printer;
import di.xml.StringPrinter;


// 3-1 xml Ⱦ 

@Configuration
public class HelloJavaConfig {
	
	@Bean
	public Hello hello() {
		Hello hello = new Hello();
		hello.setName("JavaǱ");
		hello.setPrinter(printer());
		return hello;
	}
	
	@Bean
	@Qualifier("stringPrinter")
	public Printer printer() {
		Printer printer = new StringPrinter();
		return printer;
	}
	
	@Bean
	@Qualifier("consolePrinter")
	public Printer cPrinter() {
		Printer printer = new ConsolePrinter();
		return printer;
	}
	
}
