package di.xml.test;

import org.junit.Assert;
import static org.junit.Assert.*;
import org.junit.Test;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.GenericXmlApplicationContext;

import di.xml.Hello;
import di.xml.Printer;

public class HelloBeanTest {
	@Test
	public void hellobean() {
		// 1. Spring Container 
		BeanFactory factory = 
				new GenericXmlApplicationContext("config/beans.xml");
		// 2. Bean  û
		Hello helloBean = (Hello)factory.getBean("helloBean");
		Hello helloBean2 = factory.getBean("helloBean",Hello.class);
		
		// ּ 
		Assert.assertSame(helloBean, helloBean2);
		assertSame(helloBean, helloBean2);
		
		//  
		// name   ԵǾ Ȯ `
		assertEquals("Hello ", helloBean.sayHello());
		
		// printer    Ǿ Ȯ
		helloBean.print();
		Printer printer = factory.getBean("stringPrinter", Printer.class);
		assertEquals("Hello ", printer.toString());
		
	}
}
